Bug 1866032 - HTTP Basic Auth breaks introspection
Summary: HTTP Basic Auth breaks introspection
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Bare Metal Hardware Provisioning
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: Zane Bitter
QA Contact: Daniel
URL:
Whiteboard:
Depends On:
Blocks: 1885637 1850653
TreeView+ depends on / blocked
 
Reported: 2020-08-04 17:15 UTC by Zane Bitter
Modified: 2020-10-27 16:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:23:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github metal3-io ironic-image pull 186 0 None closed Configure ironic-conductor to auth to ironic-inspector 2020-10-28 09:28:14 UTC
Github openshift ironic-image pull 97 0 None closed Bug 1866032: Configure ironic-conductor to auth to ironic-inspector 2020-10-28 09:27:59 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:23:29 UTC

Description Zane Bitter 2020-08-04 17:15:03 UTC
We cannot enable HTTP Basic Auth on ironic-inspector, because the ironic image does not configure ironic-conductor to use authentication when connecting to inspector.

Comment 5 errata-xmlrpc 2020-10-27 16:23:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.